>From 658d50dafa0a6a079c7205c45a379b000c2f1816 Mon Sep 17 00:00:00 2001
From: Matthieu Verbert <matthieu.verbert@aitb.org>
Date: Thu, 12 Jan 2012 08:04:57 +0100
Subject: [PATCH] Add pkgconfig support

---
 Makefile.am  |    3 +++
 configure.ac |    2 +-
 zdb.pc.in    |   12 ++++++++++++
 3 files changed, 16 insertions(+), 1 deletions(-)
 create mode 100644 zdb.pc.in

diff --git a/Makefile.am b/Makefile.am
index c7d1940..0a232fa 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -17,6 +17,9 @@ FILTERH         = ./tools/bin/filterh
 AM_CPPFLAGS     = $(CPPFLAGS) $(DBCPPFLAGS)
 INCLUDES        = -Isrc -Isrc/util -Isrc/net -Isrc/db -Isrc/exceptions
 
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = $(LIBRARY_NAME).pc
+
 lib_LTLIBRARIES = libzdb.la
 libzdb_la_SOURCES = src/util/Str.c src/util/Vector.c src/util/StringBuffer.c \
                     src/system/Mem.c src/system/System.c src/system/Time.c \
diff --git a/configure.ac b/configure.ac
index 8b9b0c9..9ee12b0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -376,7 +376,7 @@ fi
 # ---------------------------------------------------------------------------
 
 AM_CONFIG_HEADER(src/xconfig.h)
-AC_OUTPUT(Makefile test/Makefile)
+AC_OUTPUT(Makefile test/Makefile zdb.pc)
 
 cat <<EOT
 +------------------------------------------------------------+
diff --git a/zdb.pc.in b/zdb.pc.in
new file mode 100644
index 0000000..39a41f0
--- /dev/null
+++ b/zdb.pc.in
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: zdb
+Description: zild database library
+Version: @VERSION@
+
+Requires: 
+Libs: -L${libdir} -lzdb
+Cflags: -I${includedir}/zdb
-- 
1.7.7.3

